[SOLVED] Can't find swat service for LM18

Connection sharing, Firewall, Samba..etc
Forum rules
Before you post please read how to get help
Post Reply
User avatar
tekknj
Level 1
Level 1
Posts: 29
Joined: Sat Dec 17, 2016 2:01 pm

[SOLVED] Can't find swat service for LM18

Post by tekknj » Sat Apr 21, 2018 7:33 pm

I running Linux Mint 18 Sarah. I've been jumping back a forth between Mint and CentOS comparing root services and functions. I just realized that swat (the Samba web utility) isn't installed. Has it been depreciated with LM18?
Last edited by tekknj on Tue Apr 24, 2018 1:19 pm, edited 1 time in total.

deepakdeshp
Level 11
Level 11
Posts: 3704
Joined: Sun Aug 09, 2015 10:00 am

Re: Can't find swat service for LM18

Post by deepakdeshp » Mon Apr 23, 2018 11:53 am

Did you install Samba? It may be installed with it.
https://www.google.co.in/amp/s/www.howt ... 16-04/amp/
If I have helped you solve a problem, please add [SOLVED] to your first post title, it helps other users looking for help, and keeps the forum clean.
I am using Mint 19 Cinnamon 64 bit with AMD A8/7410 processor . Memory 8GB

altair4
Level 19
Level 19
Posts: 9187
Joined: Tue Feb 03, 2009 10:27 am

Re: Can't find swat service for LM18

Post by altair4 » Mon Apr 23, 2018 3:51 pm

SWAT was removed from Samba ( Version 4.1.0 ) on October 11, 2013.

The current stable release of Samba available to Ubuntu 18.04 is 4.7.6 so I don't think SWAT will ever come back.

If you want to know why it boils down to this: https://lists.samba.org/archive/samba-t ... 90572.html
The issue isn't that we can't write secure code, but that writing secure
Web code where we can't trust the authenticated actions of our user's
browser is a very different modal to writing secure system code.
Frankly it just isn't our area.
"Do one thing and do it well" as they used to say when UNIX ran the world.
Please add a [SOLVED] at the end of your original subject header if your question has been answered and solved.

User avatar
tekknj
Level 1
Level 1
Posts: 29
Joined: Sat Dec 17, 2016 2:01 pm

Re: Can't find swat service for LM18

Post by tekknj » Mon Apr 23, 2018 7:58 pm

Thanks. I figured that was the case, but wanted to make sure. Sorry, I should have included the following in the original post.

$ uname -a
Linux {workstation_name} 4.4.0-21-generic #37-Ubuntu SMP Mon Apr 18 18:33:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ cat lsb-release
DISTRIB_ID=LinuxMint
DISTRIB_RELEASE=18
DISTRIB_CODENAME=sarah

I'm running Samba v4.3
ii samba-common 2:4.3.11+dfsg-0 all common files used by both the Samba server and c
ii samba-common-bin 2:4.3.11+dfsg-0 amd64 Samba common files used by both the server and t
ii samba-libs:amd64 2:4.3.11+dfsg-0 amd64 Samba core libraries

Post Reply

Return to “Other networking topics”